Update a segment
POST /lists/{MailingListID}/segments/{SegmentID}/update.{Format}
Updates the properties and criteria of an existing segment. You can update the segment's name and match type. If criteria are included in the segment, you can update the criteria but the existing name and settings are retained.
Request
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| MailingListID | path | string | true | The ID of the email list that contains the segment. |
| SegmentID | path | string | true | The ID of the segment to be updated. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| Name | body | string | false | The name of the segment.If not specified, the existing name is retained. |
| MatchType | body | string | false | Specifies how subscribers are returned by your segment based on matching criteria.If not specified, All is assumed.All (Default) - returns subscribers that match all the given criteria.Any - returns subscribers that match any of the given criteria. |
| FetchType | body | string | false | Specifies how many criteria-matching subscribers are contained in your segment.If not specified, All is assumed.All - returns all criteria matching subscribers.Top - returns only a maximum number of subscribers defined in FetchValue.TopPercent - returns only a percentage of subscribers defined in FetchValue. |
| FetchValue | body | integer | false | Specifies the maximum number for FetchType or percentage for FetchType of members to be contained in the created segment.If not specified, 0 is assumed. |
| Criteria | body | array | false | An array containing the criteria parameters used to filter the email list.If not specified, existing criteria are retained.Field - the criterion used to filter the email list. See Field values.Comparer - the operator that defines how to compare a Field with its Value. See Comparer values.Value - the search term used to filter the specified Field.LastXMinutes - constrains the results by the time that has elapsed.DateFrom toDateTo - constrains the results by a date span.Date Function - the value used with custom fields of dateTime data type. See DateFunction values. |
Field values
Select one of the following Field values to filter the email list:
-
DateAdded- filters subscribers by the date they were added to the email list. -
DateUpdated- filters subscribers by the date they were last updated in the email list. -
RecipientName- filters subscribers by name. -
RecipientEmail- filters subscribers by their email address. -
SubscribeMethod- filters subscribers by their subscription method. -
CustomField- filters subscribers by the value of a custom field. -
MailingListIncluded- filters subscribers by checking if they belong to another mailing list. -
CampaignsOpened- filters subscribers by the number of campaigns they have opened within the past 60 days. -
LinksClicked- filters subscribers by the number of links they have clicked from the campaigns sent to them within the past 60 days. -
CampaignName- filters subscribers by the name of the campaign they have opened. -
LinkURL- filters subscribers by the URL of the link they have clicked. -
CampaignSent- filters subscribers by the campaign they have received or not received. -
Platform- filters subscribers by the platform they use. -
OperatingSystems- filters subscribers by the operating system they use. -
EmailClient- filters subscribers by the email client they use. -
WebBrowser- filters subscribers by the web browser they use. -
MobileBrowser- filters subscribers by the mobile browser they use. -
AddedAnythingToCart- filters subscribers by their cart history in a tracked website. -
ViewedProduct- filters subscribers by their browsing history in a tracked website. -
PurchasedProduct- filters subscribers by their purchase history in a tracked website. -
ViewedProductCategory- filters subscribers by their browsing history in a tracked website. -
PurchasedProductCategory- filters subscribers by their purchase history in a tracked website. -
ViewedProductBrand- filters subscribers by their browsing history in a tracked website. -
PurchasedProductBrand- filters subscribers by their purchase history in a tracked website. -
Preference- filters subscribers by their preferences.
Comparer values
Select one of the following Comparer operators to compare a criterion field with its value:
-
Is- finds subscribers where theFieldis exactly equal to the specifiedValue. -
IsNot- finds subscribers where theFieldis not equal to the specifiedValue -
Contains- finds subscribers where theFieldcontains the specifiedValue. -
DoesNotContain- finds subscribers where theFielddoes not contain the specifiedValue. -
StartsWith- finds subscribers where theFieldstarts with the specifiedValue. -
DoesNotStartWith- finds subscribers where theFielddoes not start with the specifiedValue. -
EndsWith- finds subscribers where theFieldends with the specifiedValue. -
DoesNotEndWith- finds subscribers where theFielddoes not end with the specifiedValue. -
IsGreaterThan- finds subscribers where theFieldis greater than the specifiedValue. -
IsGreaterThanOrEqualTo- finds subscribers where theFieldis greater than or equal to the specifiedValue. -
IsLessThan- finds subscribers where theFieldis less than the specifiedValue. -
IsLessThanOrEqualTo- finds subscribers where theFieldis less than or equal to the specifiedValue. -
IsBefore- finds subscribers where theFieldis before the specifiedValue. -
IsAfter- finds subscribers where theFieldis after the specifiedValue. -
IsEmpty- finds subscribers where theFieldhas noValue. -
IsNotEmpty- finds subscribers where theFieldcontains aValue. -
IsTrue- finds subscribers where the condition defined by theFieldis true. -
IsFalse- finds subscribers where the condition defined by theFieldis false.
DateFunction values
Select one of the following to use with fields of DateTime data type.
-
Year- the four-digit year part of the date. -
Month- the month part of the date from1to12. -
Day- the day part of the date from1to31. -
WeekDay- the day of the week from1to7. For example,1for Sunday,2for Monday, and so on. -
DaysPassed- the number of days that have passed until now. -
HoursPassed- the number of hours that have passed until now. -
MinutesPassed- the number of minutes that have passed until now.
Response
| Status | Description | Headers | Schema |
|---|---|---|---|
| 200 OK | The request is successful. | Content-Type/jsonAccept/json | N/A |
-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful. -
Context- this isnullif successful. -
SegmentType- the selected segment type for the selected segment criteria. Possible values are:-
1- forCustom -
2- forSystemGenerated -
4- forReadOnly
-